Bug 53249

Summary: network malfunctions with 4 tulip NICs
Product: [Retired] Red Hat Linux Reporter: Alberto <alsq>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WORKSFORME QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-06 18:22:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Alberto 2001-09-05 14:53:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; Hewlett-
Packard IE5.01 SP1)

Description of problem:
network operates correctly with 3 but not with 4 tulip NICs;
operates correctly with 2 each tulips and 2 each 8139 NICs.
Routing broken with 4 tulips--eth0, eth1, eth2 cannot get
out on the wire, eth3 still can.  (All NICs Fast Etherent.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mobo Supermicro P6DGU, two Coppermine@550MHz, 512M Ram, 4 each
   genuine Kingston 100BASE-T tulips connected each to own switch,
   full duplex. (there is an adaptec 1542 also on the ISA bus).
   NOTE: machine dual-boots W2K server.
2. Each NIC serves its private lan 192.168.(1|2|3|4).0 at
   IP 192.168.(1|2|3|4).10 trivially routed, no IP forwarding.
   Routing tables identical btw. rh7.1 and W2K, works ok for W2K.
   No errors in /proc/net/dev, ifconfig OK, netstat -r OK,
   dmseg shows cards installed and sharing PCI interrupts,
   /etc/modules.conf checks fine.
3. Ping 192.168.4.50 (another machine known to be working) succeeds.
   Ping 192.168.(1|2|3).whatever does not (Host (i.e. not network)
   Unreachable).  telnet fails with host unreachable for nets (1|2|3).0
   (works fine with W2K).
4. Unplug eth3 (remove from PCI bus) --> eth0, eth1, eth2 now work.
5. Unplug eth2, replace eth2 with D-link 8139, replace eth3 with
   D-link 8139 also, reconfigure as needed --> all four cards now
   work as expected. 

Actual Results:
* kernel rh 7.1 uniproc out of the box, as described.
* kernel rh 7.1 smp out of the box, as described.

Expected Results:
setup with 4 tulips works fine with W2K so it's not a hardware
problem.  Should have worked with rh 7.1 too.

Additional info:

Comment 1 Arjan van de Ven 2001-10-25 16:34:13 UTC
Did you try the latest errata kernel for 7.1 ?

Comment 2 Alan Cox 2003-06-06 18:22:39 UTC
No reply - closing


Comment 3 Fedora Update System 2010-06-11 06:13:55 UTC
classads-1.0.8-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/classads-1.0.8-1.el4

Comment 4 Fedora Update System 2010-06-11 06:14:06 UTC
classads-1.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/classads-1.0.8-1.el5